NSX-T Data Center REST API

Create or update a runbook setting

Create an Online Diagnostic System Runbook setting with the specified identifier
if not existed, update an existing Online Diagnostic System runbook profile otherwise.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/sha/runbook-settings/{runbook-setting-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
OdsRunbookSetting+

Example Request:

PATCH https://<nsx-mgr>/policy/api/v1/infra/sha/runbook-settings/pp1 { "runbook_path":"/infra/sha/pre-defined-runbooks/71d25d2a-f057-1ee4-84e3-400037cb3143", "applied_to_group_path":"/infra/domains/default/groups/TNGroup", "config":{ "enabled":true, "timeout":122, "threshold_number":5, "throttle_cycle":5 }, "_revision":0 }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_ops

Additional Errors: